summaryrefslogtreecommitdiff
path: root/scripts/files/elements/ubuntu-mysql/pre-install.d
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/files/elements/ubuntu-mysql/pre-install.d')
-rwxr-xr-xscripts/files/elements/ubuntu-mysql/pre-install.d/10-percona-apt-key47
-rwxr-xr-xscripts/files/elements/ubuntu-mysql/pre-install.d/20-apparmor-mysql-local11
2 files changed, 0 insertions, 58 deletions
diff --git a/scripts/files/elements/ubuntu-mysql/pre-install.d/10-percona-apt-key b/scripts/files/elements/ubuntu-mysql/pre-install.d/10-percona-apt-key
deleted file mode 100755
index cd28925..0000000
--- a/scripts/files/elements/ubuntu-mysql/pre-install.d/10-percona-apt-key
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/bash
-
-# CONTEXT: GUEST during PRE-CONSTRUCTION as ROOT
-# PURPOSE: Setup apt-repo list so that we can connect to Percona's repo
-
-set -e
-set -o xtrace
-
-[ -n "${GUEST_USERNAME}" ] || die "GUEST_USERNAME needs to be set to the user for the guest image"
-[ -n "${RELEASE}" ] || die "RELEASE must be set to either Precise or Quantal"
-
-# Add Percona GPG key
-mkdir -p /home/${GUEST_USERNAME}/.gnupg
-
-# sometimes the primary key server is unavailable and we should try an
-# alternate. see
-# https://bugs.launchpad.net/percona-server/+bug/907789. Disable
-# shell errexit so we can interrogate the exit code and take action
-# based on the exit code. We will reenable it later.
-function get_key_robust() {
- KEY=$1
- set +e
-
- apt-key adv --keyserver hkp://keys.gnupg.net --recv-keys ${KEY}
-
- if [ "$?" -ne "0" ];
- then
- echo "Trying alternate keyserver hkp://keyserver.ubuntu.com"
- set -e
- apt-key adv --keyserver hkp://keyserver.ubuntu.com --recv-keys ${KEY}
- fi
-
- set -e
-}
-
-get_key_robust 1C4CBDCDCD2EFD2A
-get_key_robust 9334A25F8507EFA5
-
-# Add Percona repo
-# Creates the percona sources list
-cat <<EOL > /etc/apt/sources.list.d/percona.list
-deb http://repo.percona.com/apt $RELEASE main
-deb-src http://repo.percona.com/apt $RELEASE main
-EOL
-
-# Force an update
-apt-get update
diff --git a/scripts/files/elements/ubuntu-mysql/pre-install.d/20-apparmor-mysql-local b/scripts/files/elements/ubuntu-mysql/pre-install.d/20-apparmor-mysql-local
deleted file mode 100755
index a3e1dc7..0000000
--- a/scripts/files/elements/ubuntu-mysql/pre-install.d/20-apparmor-mysql-local
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-set -e
-
-#CONTEXT: chroot on host
-#PURPOSE: Allows mysqld to create temporary files when restoring backups
-
-cat <<EOF >>/etc/apparmor.d/local/usr.sbin.mysqld
- /tmp/ rw,
- /tmp/** rwk,
-EOF